<?xml version="1.0" encoding="UTF-8"?>
<MUSER_ROLE desc_thai="ทะเบียนกลุ่มผู้ใช้" desc_eng="MUSER LEVEL" editcheck="true" mainhelp="MUSER_ROLEHELP" referhelp="MUSER_ROLEHELP" mainkey="ROLEID" fieldsystem="*" protype="table" deleteflag="true" config_field="" dependlevel="true">
	<FIELD>
		<ROLEID lang="A" encrypt="false" log="false" type="String">
		    <KEY>1</KEY>
			<WIDTH>20</WIDTH>
			<DESC_ENG>ROLE</DESC_ENG>
			<DESC_THAI>บทบาท</DESC_THAI>
			<REQUIRE>TRUE</REQUIRE>			
			<COMPONENT type="text">
				<MAXSIZE>20</MAXSIZE>
				<SIZE>20</SIZE>
				<ALT_THAI>บทบาท</ALT_THAI>
				<ALT_ENG>ROLE</ALT_ENG>
			</COMPONENT>
		</ROLEID>
		<TDESC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Description(tha)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>70</SIZE>
				<MAXSIZE>255</MAXSIZE>
				<ALT_ENG>Description(tha)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
			</COMPONENT>
		</TDESC>
		<EDESC lang="A" encrypt="false" log="false" type="String">
			<WIDTH>255</WIDTH>
			<DESC_ENG>Description (Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>70</SIZE>
				<MAXSIZE>255</MAXSIZE>
				<ALT_ENG>Description(Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</EDESC>
		<COMPANYID lang="E" encrypt="false" log="false" type="String">
		   <KEY>2</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>COMPANYID </DESC_ENG>
			<DESC_THAI>COMPANYID</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>COMPANYID</ALT_THAI>
				<ALT_ENG>COMPANYID </ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<PWMAX lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Maximum digits</DESC_ENG>
			<DESC_THAI>ความยาวรหัสผ่าน</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>20</MAXSIZE>
				<DEFAULTVALUE>10</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>maximum digits</ALT_ENG>
				<ALT_THAI>ความยาวรหัสผ่าน</ALT_THAI>
			</COMPONENT>
		</PWMAX>			
		<PWMIN lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Password should have least</DESC_ENG>
			<DESC_THAI>ความยาวรหัสผ่านอย่างน้อย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>Password should have least</ALT_ENG>
				<ALT_THAI>ความยาวรหัสผ่านอย่างน้อย</ALT_THAI>
			</COMPONENT>
		</PWMIN>	
		<PWSTR lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>String [A-Z] least</DESC_ENG>
			<DESC_THAI>ความยาวตัวอักษร[A-Z]อย่างน้อย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>String [A-Z] least</ALT_ENG>
				<ALT_THAI>ความยาวตัวอักษร[A-Z]อย่างน้อย</ALT_THAI>
			</COMPONENT>
		</PWSTR>
		<PWSTRSM lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>String [a-z] least</DESC_ENG>
			<DESC_THAI>ความยาวตัวอักษร[a-z]อย่างน้อย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>String [a-z] least</ALT_ENG>
				<ALT_THAI>ความยาวตัวอักษร[a-z]อย่างน้อย</ALT_THAI>
			</COMPONENT>
		</PWSTRSM>		
		<PWNUMBER lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Number [0-9] least</DESC_ENG>
			<DESC_THAI>ความยาวตัวเลข[0-9]อย่างน้อย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>Number [0-9]least</ALT_ENG>
				<ALT_THAI>ความยาวตัวเลข[0-9]อย่างน้อย</ALT_THAI>
			</COMPONENT>
		</PWNUMBER>	
		<PWSPECIAL lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Special Character [@#+$%] least</DESC_ENG>
			<DESC_THAI>ความยาวตัวอักษรพิเศษ[@#+$%]อย่างน้อย</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>Special Character [@#+$%] least</ALT_ENG>
				<ALT_THAI>ความยาวตัวอักษรพิเศษ[@#+$%]อย่างน้อย</ALT_THAI>
			</COMPONENT>
		</PWSPECIAL>
		<ROLE_LEVEL lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Role level[1-10]</DESC_ENG>
			<DESC_THAI>ระดับ[1-10]</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>10</DEFAULTVALUE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>Role level[1-10]</ALT_ENG>
				<ALT_THAI>ระดับ[1-10]</ALT_THAI>
			</COMPONENT>
		</ROLE_LEVEL>
		<PWSIMPLE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Cannot be simply</DESC_ENG>
			<DESC_THAI>ตรวจสอบความง่ายของรหัสผ่าน</DESC_THAI>
			<COMPONENT type="list">
				<SIZE>5</SIZE>
				<MAXSIZE>2</MAXSIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<VALIDCODE>YESNO</VALIDCODE>
				<ONFOCUS>this.select();</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>				
				<ALT_ENG>Cannot be simply</ALT_ENG>
				<ALT_THAI>ตรวจสอบความง่ายของรหัสผ่าน</ALT_THAI>
			</COMPONENT>
		</PWSIMPLE>
		<EXPIREDIN lang="A" encrypt="false" log="false" type="Integer">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Expired in (days)</DESC_ENG>
			<DESC_THAI>หมดอายุใน (วัน)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>	
				<ALT_ENG>Expired in (days)</ALT_ENG>
				<ALT_THAI>หมดอายุใน (วัน)</ALT_THAI>
			</COMPONENT>
		</EXPIREDIN>
</FIELD>
	<RELATION>
	<MUSER mode="-1">
			<PARENT>MUSER_ROLE.ROLEID</PARENT>
			<PARENT>MUSER_ROLE.COMPANYID</PARENT>
			<CHILD>MUSER.USER_ROLE</CHILD>
			<CHILD>MUSER.COMPANY</CHILD>
	</MUSER>
	</RELATION>
</MUSER_ROLE>
